/*******************************************************************************
* File Name: DistOutHCSRO4.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_DistOutHCSRO4_H) /* Pins DistOutHCSRO4_H */
#define CY_PINS_DistOutHCSRO4_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "DistOutHCSRO4_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    DistOutHCSRO4_Write(uint8 value) ;
void    DistOutHCSRO4_SetDriveMode(uint8 mode) ;
uint8   DistOutHCSRO4_ReadDataReg(void) ;
uint8   DistOutHCSRO4_Read(void) ;
uint8   DistOutHCSRO4_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define DistOutHCSRO4_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define DistOutHCSRO4_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define DistOutHCSRO4_DM_RES_UP          PIN_DM_RES_UP
#define DistOutHCSRO4_DM_RES_DWN         PIN_DM_RES_DWN
#define DistOutHCSRO4_DM_OD_LO           PIN_DM_OD_LO
#define DistOutHCSRO4_DM_OD_HI           PIN_DM_OD_HI
#define DistOutHCSRO4_DM_STRONG          PIN_DM_STRONG
#define DistOutHCSRO4_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define DistOutHCSRO4_MASK               DistOutHCSRO4__MASK
#define DistOutHCSRO4_SHIFT              DistOutHCSRO4__SHIFT
#define DistOutHCSRO4_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define DistOutHCSRO4_PS                     (* (reg8 *) DistOutHCSRO4__PS)
/* Data Register */
#define DistOutHCSRO4_DR                     (* (reg8 *) DistOutHCSRO4__DR)
/* Port Number */
#define DistOutHCSRO4_PRT_NUM                (* (reg8 *) DistOutHCSRO4__PRT) 
/* Connect to Analog Globals */                                                  
#define DistOutHCSRO4_AG                     (* (reg8 *) DistOutHCSRO4__AG)                       
/* Analog MUX bux enable */
#define DistOutHCSRO4_AMUX                   (* (reg8 *) DistOutHCSRO4__AMUX) 
/* Bidirectional Enable */                                                        
#define DistOutHCSRO4_BIE                    (* (reg8 *) DistOutHCSRO4__BIE)
/* Bit-mask for Aliased Register Access */
#define DistOutHCSRO4_BIT_MASK               (* (reg8 *) DistOutHCSRO4__BIT_MASK)
/* Bypass Enable */
#define DistOutHCSRO4_BYP                    (* (reg8 *) DistOutHCSRO4__BYP)
/* Port wide control signals */                                                   
#define DistOutHCSRO4_CTL                    (* (reg8 *) DistOutHCSRO4__CTL)
/* Drive Modes */
#define DistOutHCSRO4_DM0                    (* (reg8 *) DistOutHCSRO4__DM0) 
#define DistOutHCSRO4_DM1                    (* (reg8 *) DistOutHCSRO4__DM1)
#define DistOutHCSRO4_DM2                    (* (reg8 *) DistOutHCSRO4__DM2) 
/* Input Buffer Disable Override */
#define DistOutHCSRO4_INP_DIS                (* (reg8 *) DistOutHCSRO4__INP_DIS)
/* LCD Common or Segment Drive */
#define DistOutHCSRO4_LCD_COM_SEG            (* (reg8 *) DistOutHCSRO4__LCD_COM_SEG)
/* Enable Segment LCD */
#define DistOutHCSRO4_LCD_EN                 (* (reg8 *) DistOutHCSRO4__LCD_EN)
/* Slew Rate Control */
#define DistOutHCSRO4_SLW                    (* (reg8 *) DistOutHCSRO4__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define DistOutHCSRO4_PRTDSI__CAPS_SEL       (* (reg8 *) DistOutHCSRO4__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define DistOutHCSRO4_PRTDSI__DBL_SYNC_IN    (* (reg8 *) DistOutHCSRO4__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define DistOutHCSRO4_PRTDSI__OE_SEL0        (* (reg8 *) DistOutHCSRO4__PRTDSI__OE_SEL0) 
#define DistOutHCSRO4_PRTDSI__OE_SEL1        (* (reg8 *) DistOutHCSRO4__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define DistOutHCSRO4_PRTDSI__OUT_SEL0       (* (reg8 *) DistOutHCSRO4__PRTDSI__OUT_SEL0) 
#define DistOutHCSRO4_PRTDSI__OUT_SEL1       (* (reg8 *) DistOutHCSRO4__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define DistOutHCSRO4_PRTDSI__SYNC_OUT       (* (reg8 *) DistOutHCSRO4__PRTDSI__SYNC_OUT) 


#if defined(DistOutHCSRO4__INTSTAT)  /* Interrupt Registers */

    #define DistOutHCSRO4_INTSTAT                (* (reg8 *) DistOutHCSRO4__INTSTAT)
    #define DistOutHCSRO4_SNAP                   (* (reg8 *) DistOutHCSRO4__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins DistOutHCSRO4_H */


/* [] END OF FILE */
