/*******************************************************************************
* File Name: DistanceInPulsewidth.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_DistanceInPulsewidth_H) /* Pins DistanceInPulsewidth_H */
#define CY_PINS_DistanceInPulsewidth_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "DistanceInPulsewidth_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    DistanceInPulsewidth_Write(uint8 value) ;
void    DistanceInPulsewidth_SetDriveMode(uint8 mode) ;
uint8   DistanceInPulsewidth_ReadDataReg(void) ;
uint8   DistanceInPulsewidth_Read(void) ;
uint8   DistanceInPulsewidth_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define DistanceInPulsewidth_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define DistanceInPulsewidth_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define DistanceInPulsewidth_DM_RES_UP          PIN_DM_RES_UP
#define DistanceInPulsewidth_DM_RES_DWN         PIN_DM_RES_DWN
#define DistanceInPulsewidth_DM_OD_LO           PIN_DM_OD_LO
#define DistanceInPulsewidth_DM_OD_HI           PIN_DM_OD_HI
#define DistanceInPulsewidth_DM_STRONG          PIN_DM_STRONG
#define DistanceInPulsewidth_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define DistanceInPulsewidth_MASK               DistanceInPulsewidth__MASK
#define DistanceInPulsewidth_SHIFT              DistanceInPulsewidth__SHIFT
#define DistanceInPulsewidth_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define DistanceInPulsewidth_PS                     (* (reg8 *) DistanceInPulsewidth__PS)
/* Data Register */
#define DistanceInPulsewidth_DR                     (* (reg8 *) DistanceInPulsewidth__DR)
/* Port Number */
#define DistanceInPulsewidth_PRT_NUM                (* (reg8 *) DistanceInPulsewidth__PRT) 
/* Connect to Analog Globals */                                                  
#define DistanceInPulsewidth_AG                     (* (reg8 *) DistanceInPulsewidth__AG)                       
/* Analog MUX bux enable */
#define DistanceInPulsewidth_AMUX                   (* (reg8 *) DistanceInPulsewidth__AMUX) 
/* Bidirectional Enable */                                                        
#define DistanceInPulsewidth_BIE                    (* (reg8 *) DistanceInPulsewidth__BIE)
/* Bit-mask for Aliased Register Access */
#define DistanceInPulsewidth_BIT_MASK               (* (reg8 *) DistanceInPulsewidth__BIT_MASK)
/* Bypass Enable */
#define DistanceInPulsewidth_BYP                    (* (reg8 *) DistanceInPulsewidth__BYP)
/* Port wide control signals */                                                   
#define DistanceInPulsewidth_CTL                    (* (reg8 *) DistanceInPulsewidth__CTL)
/* Drive Modes */
#define DistanceInPulsewidth_DM0                    (* (reg8 *) DistanceInPulsewidth__DM0) 
#define DistanceInPulsewidth_DM1                    (* (reg8 *) DistanceInPulsewidth__DM1)
#define DistanceInPulsewidth_DM2                    (* (reg8 *) DistanceInPulsewidth__DM2) 
/* Input Buffer Disable Override */
#define DistanceInPulsewidth_INP_DIS                (* (reg8 *) DistanceInPulsewidth__INP_DIS)
/* LCD Common or Segment Drive */
#define DistanceInPulsewidth_LCD_COM_SEG            (* (reg8 *) DistanceInPulsewidth__LCD_COM_SEG)
/* Enable Segment LCD */
#define DistanceInPulsewidth_LCD_EN                 (* (reg8 *) DistanceInPulsewidth__LCD_EN)
/* Slew Rate Control */
#define DistanceInPulsewidth_SLW                    (* (reg8 *) DistanceInPulsewidth__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define DistanceInPulsewidth_PRTDSI__CAPS_SEL       (* (reg8 *) DistanceInPulsewidth__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define DistanceInPulsewidth_PRTDSI__DBL_SYNC_IN    (* (reg8 *) DistanceInPulsewidth__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define DistanceInPulsewidth_PRTDSI__OE_SEL0        (* (reg8 *) DistanceInPulsewidth__PRTDSI__OE_SEL0) 
#define DistanceInPulsewidth_PRTDSI__OE_SEL1        (* (reg8 *) DistanceInPulsewidth__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define DistanceInPulsewidth_PRTDSI__OUT_SEL0       (* (reg8 *) DistanceInPulsewidth__PRTDSI__OUT_SEL0) 
#define DistanceInPulsewidth_PRTDSI__OUT_SEL1       (* (reg8 *) DistanceInPulsewidth__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define DistanceInPulsewidth_PRTDSI__SYNC_OUT       (* (reg8 *) DistanceInPulsewidth__PRTDSI__SYNC_OUT) 


#if defined(DistanceInPulsewidth__INTSTAT)  /* Interrupt Registers */

    #define DistanceInPulsewidth_INTSTAT                (* (reg8 *) DistanceInPulsewidth__INTSTAT)
    #define DistanceInPulsewidth_SNAP                   (* (reg8 *) DistanceInPulsewidth__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins DistanceInPulsewidth_H */


/* [] END OF FILE */
