/*******************************************************************************
* File Name: FinMeasISR.h
* Version 1.70
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_ISR_FinMeasISR_H)
#define CY_ISR_FinMeasISR_H

#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void FinMeasISR_Start(void) ;
void FinMeasISR_StartEx(cyisraddress address) ;
void FinMeasISR_Stop(void) ;

CY_ISR_PROTO(FinMeasISR_Interrupt);

void FinMeasISR_SetVector(cyisraddress address) ;
cyisraddress FinMeasISR_GetVector(void) ;

void FinMeasISR_SetPriority(uint8 priority) ;
uint8 FinMeasISR_GetPriority(void) ;

void FinMeasISR_Enable(void) ;
uint8 FinMeasISR_GetState(void) ;
void FinMeasISR_Disable(void) ;

void FinMeasISR_SetPending(void) ;
void FinMeasISR_ClearPending(void) ;


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the FinMeasISR ISR. */
#define FinMeasISR_INTC_VECTOR            ((reg16 *) FinMeasISR__INTC_VECT)

/* Address of the FinMeasISR ISR priority. */
#define FinMeasISR_INTC_PRIOR             ((reg8 *) FinMeasISR__INTC_PRIOR_REG)

/* Priority of the FinMeasISR interrupt. */
#define FinMeasISR_INTC_PRIOR_NUMBER      FinMeasISR__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable FinMeasISR interrupt. */
#define FinMeasISR_INTC_SET_EN            ((reg8 *) FinMeasISR__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the FinMeasISR interrupt. */
#define FinMeasISR_INTC_CLR_EN            ((reg8 *) FinMeasISR__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the FinMeasISR interrupt state to pending. */
#define FinMeasISR_INTC_SET_PD            ((reg8 *) FinMeasISR__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the FinMeasISR interrupt. */
#define FinMeasISR_INTC_CLR_PD            ((reg8 *) FinMeasISR__INTC_CLR_PD_REG)



#endif /* CY_ISR_FinMeasISR_H */


/* [] END OF FILE */
