/*******************************************************************************
* File Name: GetDistISR.h
* Version 1.70
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_ISR_GetDistISR_H)
#define CY_ISR_GetDistISR_H

#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void GetDistISR_Start(void) ;
void GetDistISR_StartEx(cyisraddress address) ;
void GetDistISR_Stop(void) ;

CY_ISR_PROTO(GetDistISR_Interrupt);

void GetDistISR_SetVector(cyisraddress address) ;
cyisraddress GetDistISR_GetVector(void) ;

void GetDistISR_SetPriority(uint8 priority) ;
uint8 GetDistISR_GetPriority(void) ;

void GetDistISR_Enable(void) ;
uint8 GetDistISR_GetState(void) ;
void GetDistISR_Disable(void) ;

void GetDistISR_SetPending(void) ;
void GetDistISR_ClearPending(void) ;


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the GetDistISR ISR. */
#define GetDistISR_INTC_VECTOR            ((reg16 *) GetDistISR__INTC_VECT)

/* Address of the GetDistISR ISR priority. */
#define GetDistISR_INTC_PRIOR             ((reg8 *) GetDistISR__INTC_PRIOR_REG)

/* Priority of the GetDistISR interrupt. */
#define GetDistISR_INTC_PRIOR_NUMBER      GetDistISR__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable GetDistISR interrupt. */
#define GetDistISR_INTC_SET_EN            ((reg8 *) GetDistISR__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the GetDistISR interrupt. */
#define GetDistISR_INTC_CLR_EN            ((reg8 *) GetDistISR__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the GetDistISR interrupt state to pending. */
#define GetDistISR_INTC_SET_PD            ((reg8 *) GetDistISR__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the GetDistISR interrupt. */
#define GetDistISR_INTC_CLR_PD            ((reg8 *) GetDistISR__INTC_CLR_PD_REG)



#endif /* CY_ISR_GetDistISR_H */


/* [] END OF FILE */
