/*******************************************************************************
* File Name: GetDistance.h
* Version 1.70
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_ISR_GetDistance_H)
#define CY_ISR_GetDistance_H

#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void GetDistance_Start(void) ;
void GetDistance_StartEx(cyisraddress address) ;
void GetDistance_Stop(void) ;

CY_ISR_PROTO(GetDistance_Interrupt);

void GetDistance_SetVector(cyisraddress address) ;
cyisraddress GetDistance_GetVector(void) ;

void GetDistance_SetPriority(uint8 priority) ;
uint8 GetDistance_GetPriority(void) ;

void GetDistance_Enable(void) ;
uint8 GetDistance_GetState(void) ;
void GetDistance_Disable(void) ;

void GetDistance_SetPending(void) ;
void GetDistance_ClearPending(void) ;


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the GetDistance ISR. */
#define GetDistance_INTC_VECTOR            ((reg16 *) GetDistance__INTC_VECT)

/* Address of the GetDistance ISR priority. */
#define GetDistance_INTC_PRIOR             ((reg8 *) GetDistance__INTC_PRIOR_REG)

/* Priority of the GetDistance interrupt. */
#define GetDistance_INTC_PRIOR_NUMBER      GetDistance__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable GetDistance interrupt. */
#define GetDistance_INTC_SET_EN            ((reg8 *) GetDistance__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the GetDistance interrupt. */
#define GetDistance_INTC_CLR_EN            ((reg8 *) GetDistance__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the GetDistance interrupt state to pending. */
#define GetDistance_INTC_SET_PD            ((reg8 *) GetDistance__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the GetDistance interrupt. */
#define GetDistance_INTC_CLR_PD            ((reg8 *) GetDistance__INTC_CLR_PD_REG)



#endif /* CY_ISR_GetDistance_H */


/* [] END OF FILE */
