/*******************************************************************************
* File Name: UltraTrigOut.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_UltraTrigOut_H) /* Pins UltraTrigOut_H */
#define CY_PINS_UltraTrigOut_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "UltraTrigOut_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    UltraTrigOut_Write(uint8 value) ;
void    UltraTrigOut_SetDriveMode(uint8 mode) ;
uint8   UltraTrigOut_ReadDataReg(void) ;
uint8   UltraTrigOut_Read(void) ;
uint8   UltraTrigOut_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define UltraTrigOut_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define UltraTrigOut_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define UltraTrigOut_DM_RES_UP          PIN_DM_RES_UP
#define UltraTrigOut_DM_RES_DWN         PIN_DM_RES_DWN
#define UltraTrigOut_DM_OD_LO           PIN_DM_OD_LO
#define UltraTrigOut_DM_OD_HI           PIN_DM_OD_HI
#define UltraTrigOut_DM_STRONG          PIN_DM_STRONG
#define UltraTrigOut_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define UltraTrigOut_MASK               UltraTrigOut__MASK
#define UltraTrigOut_SHIFT              UltraTrigOut__SHIFT
#define UltraTrigOut_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define UltraTrigOut_PS                     (* (reg8 *) UltraTrigOut__PS)
/* Data Register */
#define UltraTrigOut_DR                     (* (reg8 *) UltraTrigOut__DR)
/* Port Number */
#define UltraTrigOut_PRT_NUM                (* (reg8 *) UltraTrigOut__PRT) 
/* Connect to Analog Globals */                                                  
#define UltraTrigOut_AG                     (* (reg8 *) UltraTrigOut__AG)                       
/* Analog MUX bux enable */
#define UltraTrigOut_AMUX                   (* (reg8 *) UltraTrigOut__AMUX) 
/* Bidirectional Enable */                                                        
#define UltraTrigOut_BIE                    (* (reg8 *) UltraTrigOut__BIE)
/* Bit-mask for Aliased Register Access */
#define UltraTrigOut_BIT_MASK               (* (reg8 *) UltraTrigOut__BIT_MASK)
/* Bypass Enable */
#define UltraTrigOut_BYP                    (* (reg8 *) UltraTrigOut__BYP)
/* Port wide control signals */                                                   
#define UltraTrigOut_CTL                    (* (reg8 *) UltraTrigOut__CTL)
/* Drive Modes */
#define UltraTrigOut_DM0                    (* (reg8 *) UltraTrigOut__DM0) 
#define UltraTrigOut_DM1                    (* (reg8 *) UltraTrigOut__DM1)
#define UltraTrigOut_DM2                    (* (reg8 *) UltraTrigOut__DM2) 
/* Input Buffer Disable Override */
#define UltraTrigOut_INP_DIS                (* (reg8 *) UltraTrigOut__INP_DIS)
/* LCD Common or Segment Drive */
#define UltraTrigOut_LCD_COM_SEG            (* (reg8 *) UltraTrigOut__LCD_COM_SEG)
/* Enable Segment LCD */
#define UltraTrigOut_LCD_EN                 (* (reg8 *) UltraTrigOut__LCD_EN)
/* Slew Rate Control */
#define UltraTrigOut_SLW                    (* (reg8 *) UltraTrigOut__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define UltraTrigOut_PRTDSI__CAPS_SEL       (* (reg8 *) UltraTrigOut__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define UltraTrigOut_PRTDSI__DBL_SYNC_IN    (* (reg8 *) UltraTrigOut__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define UltraTrigOut_PRTDSI__OE_SEL0        (* (reg8 *) UltraTrigOut__PRTDSI__OE_SEL0) 
#define UltraTrigOut_PRTDSI__OE_SEL1        (* (reg8 *) UltraTrigOut__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define UltraTrigOut_PRTDSI__OUT_SEL0       (* (reg8 *) UltraTrigOut__PRTDSI__OUT_SEL0) 
#define UltraTrigOut_PRTDSI__OUT_SEL1       (* (reg8 *) UltraTrigOut__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define UltraTrigOut_PRTDSI__SYNC_OUT       (* (reg8 *) UltraTrigOut__PRTDSI__SYNC_OUT) 


#if defined(UltraTrigOut__INTSTAT)  /* Interrupt Registers */

    #define UltraTrigOut_INTSTAT                (* (reg8 *) UltraTrigOut__INTSTAT)
    #define UltraTrigOut_SNAP                   (* (reg8 *) UltraTrigOut__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins UltraTrigOut_H */


/* [] END OF FILE */
