/*******************************************************************************
* File Name: DistOutHCSR04.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_DistOutHCSR04_H) /* Pins DistOutHCSR04_H */
#define CY_PINS_DistOutHCSR04_H

#include "cytypes.h"
#include "cyfitter.h"
#include "DistOutHCSR04_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    DistOutHCSR04_Write(uint8 value) ;
void    DistOutHCSR04_SetDriveMode(uint8 mode) ;
uint8   DistOutHCSR04_ReadDataReg(void) ;
uint8   DistOutHCSR04_Read(void) ;
uint8   DistOutHCSR04_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define DistOutHCSR04_DRIVE_MODE_BITS        (3)
#define DistOutHCSR04_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - DistOutHCSR04_DRIVE_MODE_BITS))

#define DistOutHCSR04_DM_ALG_HIZ         (0x00u)
#define DistOutHCSR04_DM_DIG_HIZ         (0x01u)
#define DistOutHCSR04_DM_RES_UP          (0x02u)
#define DistOutHCSR04_DM_RES_DWN         (0x03u)
#define DistOutHCSR04_DM_OD_LO           (0x04u)
#define DistOutHCSR04_DM_OD_HI           (0x05u)
#define DistOutHCSR04_DM_STRONG          (0x06u)
#define DistOutHCSR04_DM_RES_UPDWN       (0x07u)

/* Digital Port Constants */
#define DistOutHCSR04_MASK               DistOutHCSR04__MASK
#define DistOutHCSR04_SHIFT              DistOutHCSR04__SHIFT
#define DistOutHCSR04_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define DistOutHCSR04_PS                     (* (reg32 *) DistOutHCSR04__PS)
/* Port Configuration */
#define DistOutHCSR04_PC                     (* (reg32 *) DistOutHCSR04__PC)
/* Data Register */
#define DistOutHCSR04_DR                     (* (reg32 *) DistOutHCSR04__DR)
/* Input Buffer Disable Override */
#define DistOutHCSR04_INP_DIS                (* (reg32 *) DistOutHCSR04__PC2)


#if defined(DistOutHCSR04__INTSTAT)  /* Interrupt Registers */

    #define DistOutHCSR04_INTSTAT                (* (reg32 *) DistOutHCSR04__INTSTAT)

#endif /* Interrupt Registers */


/***************************************
* The following code is DEPRECATED and 
* must not be used.
***************************************/

#define DistOutHCSR04_DRIVE_MODE_SHIFT       (0x00u)
#define DistOutHCSR04_DRIVE_MODE_MASK        (0x07u << DistOutHCSR04_DRIVE_MODE_SHIFT)


#endif /* End Pins DistOutHCSR04_H */


/* [] END OF FILE */
