/*******************************************************************************
* File Name: DistOutHCSRO4.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_DistOutHCSRO4_H) /* Pins DistOutHCSRO4_H */
#define CY_PINS_DistOutHCSRO4_H

#include "cytypes.h"
#include "cyfitter.h"
#include "DistOutHCSRO4_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    DistOutHCSRO4_Write(uint8 value) ;
void    DistOutHCSRO4_SetDriveMode(uint8 mode) ;
uint8   DistOutHCSRO4_ReadDataReg(void) ;
uint8   DistOutHCSRO4_Read(void) ;
uint8   DistOutHCSRO4_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define DistOutHCSRO4_DRIVE_MODE_BITS        (3)
#define DistOutHCSRO4_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - DistOutHCSRO4_DRIVE_MODE_BITS))

#define DistOutHCSRO4_DM_ALG_HIZ         (0x00u)
#define DistOutHCSRO4_DM_DIG_HIZ         (0x01u)
#define DistOutHCSRO4_DM_RES_UP          (0x02u)
#define DistOutHCSRO4_DM_RES_DWN         (0x03u)
#define DistOutHCSRO4_DM_OD_LO           (0x04u)
#define DistOutHCSRO4_DM_OD_HI           (0x05u)
#define DistOutHCSRO4_DM_STRONG          (0x06u)
#define DistOutHCSRO4_DM_RES_UPDWN       (0x07u)

/* Digital Port Constants */
#define DistOutHCSRO4_MASK               DistOutHCSRO4__MASK
#define DistOutHCSRO4_SHIFT              DistOutHCSRO4__SHIFT
#define DistOutHCSRO4_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define DistOutHCSRO4_PS                     (* (reg32 *) DistOutHCSRO4__PS)
/* Port Configuration */
#define DistOutHCSRO4_PC                     (* (reg32 *) DistOutHCSRO4__PC)
/* Data Register */
#define DistOutHCSRO4_DR                     (* (reg32 *) DistOutHCSRO4__DR)
/* Input Buffer Disable Override */
#define DistOutHCSRO4_INP_DIS                (* (reg32 *) DistOutHCSRO4__PC2)


#if defined(DistOutHCSRO4__INTSTAT)  /* Interrupt Registers */

    #define DistOutHCSRO4_INTSTAT                (* (reg32 *) DistOutHCSRO4__INTSTAT)

#endif /* Interrupt Registers */


/***************************************
* The following code is DEPRECATED and 
* must not be used.
***************************************/

#define DistOutHCSRO4_DRIVE_MODE_SHIFT       (0x00u)
#define DistOutHCSRO4_DRIVE_MODE_MASK        (0x07u << DistOutHCSRO4_DRIVE_MODE_SHIFT)


#endif /* End Pins DistOutHCSRO4_H */


/* [] END OF FILE */
