/*******************************************************************************
* File Name: TrigHCSR04.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_TrigHCSR04_H) /* Pins TrigHCSR04_H */
#define CY_PINS_TrigHCSR04_H

#include "cytypes.h"
#include "cyfitter.h"
#include "TrigHCSR04_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    TrigHCSR04_Write(uint8 value) ;
void    TrigHCSR04_SetDriveMode(uint8 mode) ;
uint8   TrigHCSR04_ReadDataReg(void) ;
uint8   TrigHCSR04_Read(void) ;
uint8   TrigHCSR04_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define TrigHCSR04_DRIVE_MODE_BITS        (3)
#define TrigHCSR04_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - TrigHCSR04_DRIVE_MODE_BITS))

#define TrigHCSR04_DM_ALG_HIZ         (0x00u)
#define TrigHCSR04_DM_DIG_HIZ         (0x01u)
#define TrigHCSR04_DM_RES_UP          (0x02u)
#define TrigHCSR04_DM_RES_DWN         (0x03u)
#define TrigHCSR04_DM_OD_LO           (0x04u)
#define TrigHCSR04_DM_OD_HI           (0x05u)
#define TrigHCSR04_DM_STRONG          (0x06u)
#define TrigHCSR04_DM_RES_UPDWN       (0x07u)

/* Digital Port Constants */
#define TrigHCSR04_MASK               TrigHCSR04__MASK
#define TrigHCSR04_SHIFT              TrigHCSR04__SHIFT
#define TrigHCSR04_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define TrigHCSR04_PS                     (* (reg32 *) TrigHCSR04__PS)
/* Port Configuration */
#define TrigHCSR04_PC                     (* (reg32 *) TrigHCSR04__PC)
/* Data Register */
#define TrigHCSR04_DR                     (* (reg32 *) TrigHCSR04__DR)
/* Input Buffer Disable Override */
#define TrigHCSR04_INP_DIS                (* (reg32 *) TrigHCSR04__PC2)


#if defined(TrigHCSR04__INTSTAT)  /* Interrupt Registers */

    #define TrigHCSR04_INTSTAT                (* (reg32 *) TrigHCSR04__INTSTAT)

#endif /* Interrupt Registers */


/***************************************
* The following code is DEPRECATED and 
* must not be used.
***************************************/

#define TrigHCSR04_DRIVE_MODE_SHIFT       (0x00u)
#define TrigHCSR04_DRIVE_MODE_MASK        (0x07u << TrigHCSR04_DRIVE_MODE_SHIFT)


#endif /* End Pins TrigHCSR04_H */


/* [] END OF FILE */
