/*******************************************************************************
* File Name: TrigHCSRO4.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_TrigHCSRO4_H) /* Pins TrigHCSRO4_H */
#define CY_PINS_TrigHCSRO4_H

#include "cytypes.h"
#include "cyfitter.h"
#include "TrigHCSRO4_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    TrigHCSRO4_Write(uint8 value) ;
void    TrigHCSRO4_SetDriveMode(uint8 mode) ;
uint8   TrigHCSRO4_ReadDataReg(void) ;
uint8   TrigHCSRO4_Read(void) ;
uint8   TrigHCSRO4_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define TrigHCSRO4_DRIVE_MODE_BITS        (3)
#define TrigHCSRO4_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - TrigHCSRO4_DRIVE_MODE_BITS))

#define TrigHCSRO4_DM_ALG_HIZ         (0x00u)
#define TrigHCSRO4_DM_DIG_HIZ         (0x01u)
#define TrigHCSRO4_DM_RES_UP          (0x02u)
#define TrigHCSRO4_DM_RES_DWN         (0x03u)
#define TrigHCSRO4_DM_OD_LO           (0x04u)
#define TrigHCSRO4_DM_OD_HI           (0x05u)
#define TrigHCSRO4_DM_STRONG          (0x06u)
#define TrigHCSRO4_DM_RES_UPDWN       (0x07u)

/* Digital Port Constants */
#define TrigHCSRO4_MASK               TrigHCSRO4__MASK
#define TrigHCSRO4_SHIFT              TrigHCSRO4__SHIFT
#define TrigHCSRO4_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define TrigHCSRO4_PS                     (* (reg32 *) TrigHCSRO4__PS)
/* Port Configuration */
#define TrigHCSRO4_PC                     (* (reg32 *) TrigHCSRO4__PC)
/* Data Register */
#define TrigHCSRO4_DR                     (* (reg32 *) TrigHCSRO4__DR)
/* Input Buffer Disable Override */
#define TrigHCSRO4_INP_DIS                (* (reg32 *) TrigHCSRO4__PC2)


#if defined(TrigHCSRO4__INTSTAT)  /* Interrupt Registers */

    #define TrigHCSRO4_INTSTAT                (* (reg32 *) TrigHCSRO4__INTSTAT)

#endif /* Interrupt Registers */


/***************************************
* The following code is DEPRECATED and 
* must not be used.
***************************************/

#define TrigHCSRO4_DRIVE_MODE_SHIFT       (0x00u)
#define TrigHCSRO4_DRIVE_MODE_MASK        (0x07u << TrigHCSRO4_DRIVE_MODE_SHIFT)


#endif /* End Pins TrigHCSRO4_H */


/* [] END OF FILE */
