/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include <project.h>
#include <stdio.h>

uint16 	TimeDistMeas = 0;					// Value read from TimeDistMeas, eg HC-SR04 PW returned, in 1 uS increments
float 	distmeas = 0.0;					// Value measured, uS / 148 = inches


int main( void ) 
{
    char8 	dispbuff[20];							// Display buffer for strings
	CyGlobalIntEnable; 							// Uncomment this line to enable global interrupts.
	TimeDistMeas_Start( );         				// Start up the distance measuring timer, basically ,measure PW of pulse HC-SRO4 generates
	LCD_Start( );								// Start LCD module
	LCD_Position(0u,0u);						// Cursor to Row 0, Col 0
	LCD_PrintString( "Distance =" );
    CyDelay(1000);
	for(;;) 
    {
		while(0u == DistOutHCSR04_Read( )) 
        { 					// HC-SR04 ready for a trigger, to start new measurement cycle ?
    		Trigger_Write(1u); 								// Trigger the HC-SR04 to issue the 10 uS start pulse, and reset TimeDistMeas
			CyDelayUs(10);									// Trigger high for 10 uS
     		Trigger_Write(0u);									// Remove trigger and reset from TimeDistMeas
			CyDelay(1);										// Delay 1 mS to see if HC-SR04 started a measurement, if not issue another trigger to HC-SRO4
		}
		while(1u == DistOutHCSR04_Read( )) 
        { 
        }				// Wait until HC-SR04 finishes measurement cycle
		TimeDistMeas = 65535 - TimeDistMeas_ReadCounter( );		// Get timer value, PW in uS, of HC-SRO4
		distmeas = (float) TimeDistMeas / 148.0;				// Compute distance measured
		sprintf(dispbuff, "%.2f", distmeas);					// Convert distmeas to a string to print on LCD
		LCD_Position(1u,0u);									// Position cursor
		LCD_PrintString(dispbuff);
		CyDelay(100);											// Wait 100 mS before triggering the HC-SR04 module again	
	}
}
/* [] END OF FILE */
